/*
 *  
 *  Copyright (c) 2004 Steve Slaven, All Rights Reserved.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA 02111-1307 USA
 *  
*/
package net.hoopajoo.cheeselab3;
import java.sql.*;
import java.io.*;

public class PrintAllRooms {

	public static void main(String[] args) {
		Connection postgres, derby;
		try {
			Class.forName( "org.apache.derby.jdbc.EmbeddedDriver" );
			derby = DriverManager.getConnection( "jdbc:derby:cheesedb" );
		}catch( Exception e ){
			e.printStackTrace();
			return;
		}
		
		// Create schema
		try {
			PreparedStatement select_rooms = derby.prepareStatement( 
				"select * from room_t"
			);
			
			PrintWriter out = 
			      new PrintWriter(
			          new OutputStreamWriter(System.out,
			                                 "ISO-8859-1"));
			
			ResultSet rooms = select_rooms.executeQuery();
			while( rooms.next() ) {
				//String n = new String( rooms.getBytes( "description" ), "ISO-8859-1" );
				out.println( "---------" );
				out.println( rooms.getString( "edesc" ) );
				out.flush();
			}
		}catch( Exception e ) {
			System.out.println( "Error making database!" );
			e.printStackTrace();
		}
		
	}
}
